> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Borrow

> Get available borrow actions for a position



## OpenAPI

````yaml /openapi/jupiter.json get /api/v0/lend/borrow/{vaultId}/{positionId}/borrow
openapi: 3.1.0
info:
  title: Jupiter Blinks API
  version: 0.0.1
servers:
  - url: https://jupiter.dial.to
security: []
paths:
  /api/v0/lend/borrow/{vaultId}/{positionId}/borrow:
    get:
      tags:
        - Lend Borrow
      summary: Borrow
      description: Get available borrow actions for a position
      operationId: getApiV0LendBorrowByVaultIdByPositionIdBorrow
      parameters:
        - in: path
          name: vaultId
          schema:
            example: 1
            default: 1
            description: >-
              Vault ID to interact with. Use the Jupiter
              `https://lite-api.jup.ag/lend/v1/borrow/vaults` endpoint to list
              available vaults.
            type: number
            minimum: 1
          required: true
        - in: path
          name: positionId
          schema:
            example: 2433
            default: 2433
            description: Position ID to interact with.
            type: number
            minimum: 0
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  icon:
                    type: string
                  label:
                    type: string
                  title:
                    type: string
                  description:
                    type: string
                  disabled:
                    type: boolean
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                    required:
                      - message
                    additionalProperties: false
                  links:
                    type: object
                    properties:
                      actions:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                              const: transaction
                            label:
                              type: string
                            href:
                              type: string
                            parameters:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  label:
                                    type: string
                                required:
                                  - name
                                  - label
                                additionalProperties: false
                          required:
                            - type
                            - label
                            - href
                          additionalProperties: false
                    required:
                      - actions
                    additionalProperties: false
                required:
                  - icon
                  - label
                  - title
                  - description
                additionalProperties: false
          description: Successful response with borrow action details
        '422':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
                additionalProperties: false
          description: Vault or position validation error

````